"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const outdated_1 = require("@pnpm/outdated");
const chalk_1 = require("chalk");
const stripColor = require("strip-color");
const table = require("text-table");
async function default_1(args, opts, command) {
    const outdatedPkgs = args.length
        ? await outdated_1.forPackages(args, opts.prefix, opts)
        : await outdated_1.default(opts.prefix, opts);
    if (!outdatedPkgs.length)
        return;
    const columnNames = ['Package', 'Current', 'Wanted', 'Latest'].map((txt) => chalk_1.default.underline(txt));
    console.log(table([columnNames].concat(outdatedPkgs.map((outdatedPkg) => [
        chalk_1.default.yellow(outdatedPkg.packageName),
        outdatedPkg.current || 'missing',
        chalk_1.default.green(outdatedPkg.wanted),
        chalk_1.default.magenta(outdatedPkg.latest || ''),
    ])), {
        stringLength: (s) => stripColor(s).length,
    }));
}
exports.default = default_1;
//# sourceMappingURL=outdated.js.map