"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const read_importer_manifest_1 = require("@pnpm/read-importer-manifest");
const supi_1 = require("supi");
const createStoreController_1 = require("../createStoreController");
exports.default = async (input, opts) => {
    const store = await createStoreController_1.default(opts);
    return supi_1.mutateModules([
        {
            buildIndex: 0,
            manifest: await read_importer_manifest_1.readImporterManifestOnly(process.cwd()),
            mutation: 'install',
            prefix: process.cwd(),
            pruneDirectDependencies: true,
        },
    ], Object.assign({}, opts, { pruneStore: true, store: store.path, storeController: store.ctrl }));
};
//# sourceMappingURL=prune.js.map