"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const loadJsonFile = require("load-json-file");
const path = require("path");
const write_json_file_1 = require("write-json-file");
const STORE_JSON = 'store.json';
async function read(storePath) {
    const storeJsonPath = path.join(storePath, STORE_JSON);
    try {
        return await loadJsonFile(storeJsonPath);
    }
    catch (err) {
        if (err.code !== 'ENOENT') {
            throw err;
        }
        return null;
    }
}
exports.read = read;
function save(storePath, store) {
    const storeJsonPath = path.join(storePath, STORE_JSON);
    return write_json_file_1.default(storeJsonPath, store);
}
exports.save = save;
function saveSync(storePath, store) {
    const storeJsonPath = path.join(storePath, STORE_JSON);
    return write_json_file_1.sync(storeJsonPath, store);
}
exports.saveSync = saveSync;
//# sourceMappingURL=storeIndex.js.map